Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0018297
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2011-08-17 08:192011-09-01 18:12
ReporteriperdomoView Statuspublic 
Assigned Toiperdomo 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchpiFixed in SCM revision8bc60787fdd0
ProjectionnoneETAnoneTarget Version3.0MP3
OSLinux 32 bitDatabasePostgreSQLJava version1.6.0_24
OS Version2.6.36-gentoo-r5Database version8.4.5Ant version1.8.1
Product VersionSCM revision 
Review Assigned To
Web browserGoogle Chrome
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0018297: If the Google API integration is disabled, the G button is still shown in the login page

DescriptionAn instance may want to disable (not show) the login with a Google Account button. If the module is set to disabled (through a template), the button is still shown
Steps To Reproduce* Deactivate the Google APIs Integration module
* Logoff to see the login page, the G button is still shown
Proposed SolutionHide the G button when the module is disabled
TagsNo tags attached.
Attached Filesdiff file icon Issue-0018297.diff [^] (538 bytes) 2011-08-17 12:01 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0014678 acknowledgedplatform DE010 I can only choose the whole pack to disable. However, enabling can be done in a one-by-one basis 
related to defect 00183003.0MP3 closedmtaal Disabled modules cannot be edited in grid mode 

-  Notes
(0040240)
hgbot (developer)
2011-08-17 08:21

Repository: erp/devel/pi
Changeset: b687fd3cba82daf2adc358d722ab4d99e2d1bf5b
Author: Iván Perdomo <ivan.perdomo <at> openbravo.com>
Date: Wed Aug 17 08:20:46 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/b687fd3cba82daf2adc358d722ab4d99e2d1bf5b [^]

Fixes issue 18297: Hide the G button when the module is disabled

---
M src/org/openbravo/erpCommon/security/Login.java
---
(0040251)
adrianromero (manager)
2011-08-17 12:00

Reopened. The login page still shows the "G" icon when the Google API integration module is disabled.

Consider the patch attached.
(0040283)
hudsonbot (developer)
2011-08-17 18:11

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/5922b23c1f55 [^]

Maturity status: Test
(0040527)
hgbot (developer)
2011-08-29 10:38

Repository: erp/devel/pi
Changeset: 89f6f8bf73efec79a940b555b3e5bbf862502c32
Author: Iván Perdomo <ivan.perdomo <at> openbravo.com>
Date: Mon Aug 29 10:36:20 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/89f6f8bf73efec79a940b555b3e5bbf862502c32 [^]

Issue 18297: Added new preference property

---
A modules/org.openbravo.service.integration.google/src-db/database/sourcedata/AD_REF_LIST.xml
---
(0040528)
hgbot (developer)
2011-08-29 10:39

Repository: erp/devel/pi
Changeset: 784b668c22c733fc23de98fd0933d6ef99d47721
Author: Iván Perdomo <ivan.perdomo <at> openbravo.com>
Date: Mon Aug 29 10:37:35 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/784b668c22c733fc23de98fd0933d6ef99d47721 [^]

Fixes issue 18297: Added new Preference to disable G button
- Activated instances have the posibility to disable the G button in the login
  page

---
M src/org/openbravo/erpCommon/security/Login.java
---
(0040531)
hgbot (developer)
2011-08-29 11:07

Repository: erp/devel/pi
Changeset: 8bc60787fdd0c73495bc2988390ba076255f65ab
Author: Iván Perdomo <ivan.perdomo <at> openbravo.com>
Date: Mon Aug 29 11:06:45 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/8bc60787fdd0c73495bc2988390ba076255f65ab [^]

Fixes issue 18297: Changed the logic to display button
- Show the button always unless the preference is set to N. This avoids the
need to add a new preference by default

---
M src/org/openbravo/erpCommon/security/Login.java
---
(0040548)
hgbot (developer)
2011-08-30 08:54

Repository: erp/devel/pi
Changeset: a3a20690578a4ebb19e42cdc0dae422a5f822fa9
Author: Iván Perdomo <ivan.perdomo <at> openbravo.com>
Date: Tue Aug 30 08:53:29 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/a3a20690578a4ebb19e42cdc0dae422a5f822fa9 [^]

Fixes int-gui-oracle - Build # 255. Related to issue 18297

---
M src/org/openbravo/erpCommon/security/Login.java
---
(0040557)
hgbot (developer)
2011-08-30 13:58

Repository: erp/devel/pi
Changeset: 395ce0ebf3e4cee7838cda51ce10fb9642e8a81a
Author: Iván Perdomo <ivan.perdomo <at> openbravo.com>
Date: Tue Aug 30 13:56:35 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/395ce0ebf3e4cee7838cda51ce10fb9642e8a81a [^]

Fixes build int-gui-oracle - Build # 255. Related to issue 18297
- The hql fails in Oracle if you use a property clob = value, it works
if you use like

---
M src/org/openbravo/erpCommon/security/Login.java
---
(0040564)
hudsonbot (developer)
2011-08-30 19:38

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/dfde2574ecaf [^]

Maturity status: Test
(0040565)
hudsonbot (developer)
2011-08-30 19:38

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/dfde2574ecaf [^]

Maturity status: Test
(0040566)
hudsonbot (developer)
2011-08-30 19:38

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/dfde2574ecaf [^]

Maturity status: Test
(0040568)
hudsonbot (developer)
2011-08-30 19:38

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/dfde2574ecaf [^]

Maturity status: Test
(0040574)
hudsonbot (developer)
2011-08-30 19:39

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/dfde2574ecaf [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2011-08-17 08:19 iperdomo New Issue
2011-08-17 08:19 iperdomo Assigned To => iperdomo
2011-08-17 08:19 iperdomo Web browser => Google Chrome
2011-08-17 08:19 iperdomo Modules => Core
2011-08-17 08:19 iperdomo Status new => scheduled
2011-08-17 08:19 iperdomo fix_in_branch => pi
2011-08-17 08:21 hgbot Checkin
2011-08-17 08:21 hgbot Note Added: 0040240
2011-08-17 08:21 hgbot Status scheduled => resolved
2011-08-17 08:21 hgbot Resolution open => fixed
2011-08-17 08:21 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/b687fd3cba82daf2adc358d722ab4d99e2d1bf5b [^]
2011-08-17 12:00 adrianromero Note Added: 0040251
2011-08-17 12:00 adrianromero Status resolved => new
2011-08-17 12:00 adrianromero Resolution fixed => open
2011-08-17 12:01 adrianromero File Added: Issue-0018297.diff
2011-08-17 12:05 adrianromero Relationship added related to 0014678
2011-08-17 12:06 adrianromero Relationship added related to 0018300
2011-08-17 18:11 hudsonbot Checkin
2011-08-17 18:11 hudsonbot Note Added: 0040283
2011-08-29 08:45 iperdomo Status new => scheduled
2011-08-29 10:38 hgbot Checkin
2011-08-29 10:38 hgbot Note Added: 0040527
2011-08-29 10:39 hgbot Checkin
2011-08-29 10:39 hgbot Note Added: 0040528
2011-08-29 10:39 hgbot Status scheduled => resolved
2011-08-29 10:39 hgbot Resolution open => fixed
2011-08-29 10:39 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/b687fd3cba82daf2adc358d722ab4d99e2d1bf5b [^] => http://code.openbravo.com/erp/devel/pi/rev/784b668c22c733fc23de98fd0933d6ef99d47721 [^]
2011-08-29 11:07 hgbot Checkin
2011-08-29 11:07 hgbot Note Added: 0040531
2011-08-29 11:07 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/784b668c22c733fc23de98fd0933d6ef99d47721 [^] => http://code.openbravo.com/erp/devel/pi/rev/8bc60787fdd0c73495bc2988390ba076255f65ab [^]
2011-08-30 08:54 hgbot Checkin
2011-08-30 08:54 hgbot Note Added: 0040548
2011-08-30 13:58 hgbot Checkin
2011-08-30 13:58 hgbot Note Added: 0040557
2011-08-30 19:38 hudsonbot Checkin
2011-08-30 19:38 hudsonbot Note Added: 0040564
2011-08-30 19:38 hudsonbot Checkin
2011-08-30 19:38 hudsonbot Note Added: 0040565
2011-08-30 19:38 hudsonbot Checkin
2011-08-30 19:38 hudsonbot Note Added: 0040566
2011-08-30 19:38 hudsonbot Checkin
2011-08-30 19:38 hudsonbot Note Added: 0040568
2011-08-30 19:39 hudsonbot Checkin
2011-08-30 19:39 hudsonbot Note Added: 0040574
2011-09-01 18:12 marvintm Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker